## game-data-packager 44

=== Makefile ===
GDP_MIRROR ?= localhost
bindir := /usr/games
datadir := /usr/share/games
PYTHON := python3
PYFLAKES3 := $(shell if [ -x /usr/bin/pyflakes3 ] ;  then echo pyflakes3 ; \
                   elif [ -x /usr/bin/pyflakes3k ] ; then echo pyflakes3k ; \
                   elif [ -x /usr/bin/python3-pyflakes ] ; then echo python3-pyflakes ; \
                   else ls -1 /usr/bin/pyflakes-python3.* | tail -n 1 ; \
                    fi)

# some cherry picked games that:
# - are freely downloadable (either demo or full version)
# - test various codepaths:
#   - alternatives
#   - archive recursion (zip in zip)
#   - lha
#   - id-shr-extract
#   - doom_commo.py plugin
# - are not too big
TEST_SUITE += rott spear-of-destiny wolf3d heretic

png       := $(patsubst ./data/%.xpm,./out/%.png,$(wildcard ./data/*.xpm))
png       += $(patsubst ./data/%.svg,./out/%.png,$(wildcard ./data/*.svg))
png       += out/memento-mori.png
svgz      := $(patsubst ./data/%.svg,./out/%.svgz,$(filter-out ./data/memento-mori-2.svg,$(wildcard ./data/*.svg)))
in_yaml   := $(wildcard ./data/*.yaml)
json      := $(patsubst ./data/%.yaml,./out/vfs/%.json,$(in_yaml))
json      += $(patsubst ./runtime/%.yaml.in,./out/%.json,$(wildcard ./runtime/*.yaml.in))
copyright := $(patsubst ./data/%,./out/%,$(wildcard ./data/*.copyright))
dot_in    := $(patsubst ./data/%,./out/%,$(wildcard ./data/*.in))
desktop   := $(patsubst ./runtime/%.in,./out/%,$(wildcard ./runtime/*.desktop.in))

default: $(png) $(svgz) $(json) $(copyright) $(dot_in) \
      $(desktop) \
      out/bash_completion out/changelog.gz out/copyright \
      out/game-data-packager out/vfs.zip out/memento-mori-2.svg

out/%: data/%
	@mkdir -p out
	if [ -L $< ]; then cp -a $< $@ ; else install -m644 $< $@ ; fi

out/vfs/%.json: data/%.yaml
	@mkdir -p out/vfs
	$(PYTHON) tools/compile_yaml.py $< $@

out/vfs.zip: $(json)
	@mkdir -p out
	rm -f out/vfs.zip
	if [ -n "$(BUILD_DATE)" ]; then \
		touch --date='$(BUILD_DATE)' out/vfs/*; \
	fi
	cd out/vfs && ls -1 | LC_ALL=C sort | \
		env TZ=UTC zip ../vfs.zip -9 -X -q -@

out/bash_completion: $(in_yaml)
	@mkdir -p out
	$(PYTHON) tools/bash_completion.py > ./out/bash_completion
	chmod 0644 ./out/bash_completion

out/changelog.gz: debian/changelog
	@mkdir -p out
	gzip -nc9 debian/changelog > ./out/changelog.gz
	chmod 0644 ./out/changelog.gz

out/game-data-packager: run
	@mkdir -p out
	install run out/game-data-packager

out/%.svg: data/%.svg
	@mkdir -p out
	inkscape --export-plain-svg=$@ $<

out/memento-mori.svg: data/memento-mori-2.svg
	@mkdir -p out
	inkscape --export-plain-svg=$@ --export-id=layer1 --export-id-only $<

out/memento-mori.png: out/memento-mori.svg
	inkscape --export-png=$@ -w96 -h96 $<

out/%.png: data/%.xpm
	@mkdir -p out
	convert $< $@

out/%.png: data/%.svg
	@mkdir -p out
	inkscape --export-png=$@ -w96 -h96 $<

out/%.svgz: out/%.svg
	gzip -nc $< > $@

out/launch-%.json: out/launch-%.yaml
	@mkdir -p out
	$(PYTHON) tools/yaml2json.py $< $@

out/%: runtime/%.in
	@mkdir -p out
	PYTHONPATH=. $(PYTHON) tools/expand_vars.py $< $@

clean:
	rm -f ./out/bash_completion
	rm -f ./out/changelog.gz
	rm -f ./out/copyright
	rm -f ./out/game-data-packager
	rm -f ./out/*.control.in
	rm -f ./out/*.copyright
	rm -f ./out/*.copyright.in
	rm -f ./out/*.desktop
	rm -f ./out/*.json
	rm -f ./out/*.preinst.in
	rm -f ./out/*.png
	rm -f ./out/*.svgz
	rm -f ./out/*.svg
	rm -f ./out/vfs.zip
	rm -f ./out/index.html
	rm -fr out/vfs
	rm -rf game_data_packager/__pycache__
	rm -rf game_data_packager/games/__pycache__
	rm -rf tools/__pycache__
	test ! -d out || rmdir out

check:
	LC_ALL=C $(PYFLAKES3) game_data_packager/*.py game_data_packager/*/*.py runtime/*.py tools/*.py || :
	LC_ALL=C GDP_UNINSTALLED=1 PYTHONPATH=. $(PYTHON) tests/hashed_file.py
	LC_ALL=C GDP_UNINSTALLED=1 PYTHONPATH=. $(PYTHON) tests/umod.py
	LC_ALL=C GDP_UNINSTALLED=1 PYTHONPATH=. $(PYTHON) tools/check_syntax.py
	LC_ALL=C GDP_UNINSTALLED=1 PYTHONPATH=. $(PYTHON) tools/check_equivalence.py

install:
	mkdir -p $(DESTDIR)$(bindir)
	install -m0755 out/game-data-packager                  $(DESTDIR)$(bindir)

	mkdir -p $(DESTDIR)$(datadir)/game-data-packager
	cp -ar game_data_packager/                             $(DESTDIR)$(datadir)/game-data-packager/
	python3 -m game_data_packager.version >                $(DESTDIR)$(datadir)/game-data-packager/game_data_packager/version.py
	install -m0644 out/*.copyright                         $(DESTDIR)$(datadir)/game-data-packager/
	install -m0644 out/*.png                               $(DESTDIR)$(datadir)/game-data-packager/
	install -m0644 out/*.svgz                              $(DESTDIR)$(datadir)/game-data-packager/
	install -m0644 out/bash_completion                     $(DESTDIR)$(datadir)/game-data-packager/
	install -m0644 out/changelog.gz                        $(DESTDIR)$(datadir)/game-data-packager/
	install -m0644 out/copyright                           $(DESTDIR)$(datadir)/game-data-packager/
	install -m0644 out/vfs.zip                             $(DESTDIR)$(datadir)/game-data-packager/

	install runtime/launcher.py                            $(DESTDIR)$(datadir)/game-data-packager/gdp-launcher
	install -m0644 out/*.desktop                           $(DESTDIR)$(datadir)/game-data-packager/
	install -m0644 runtime/confirm-binary-only.txt         $(DESTDIR)$(datadir)/game-data-packager/
	install -m0644 runtime/missing-data.txt                $(DESTDIR)$(datadir)/game-data-packager/
	install -m0644 out/launch-*.json                       $(DESTDIR)$(datadir)/game-data-packager/
	install -d                                             $(DESTDIR)/etc/apparmor.d/
	install -m0644 etc/apparmor.d/*                        $(DESTDIR)/etc/apparmor.d/

	mkdir -p $(DESTDIR)/usr/share/bash-completion/completions
	install -m0644 data/bash-completion/game-data-packager $(DESTDIR)/usr/share/bash-completion/completions/
ifneq ($(datadir),/usr/share/games)
	sed -i 's#/usr/share/games#$(datadir)#g' $(DESTDIR)/usr/share/bash-completion/completions/game-data-packager
endif

	mkdir -p $(DESTDIR)/usr/share/man/man6/
	mkdir -p $(DESTDIR)/usr/share/man/fr/man6/
	install -m0644 doc/game-data-packager.6                $(DESTDIR)/usr/share/man/man6/
	install -m0644 doc/game-data-packager.fr.6             $(DESTDIR)/usr/share/man/fr/man6/game-data-packager.6

	mkdir -p $(DESTDIR)/etc/game-data-packager
	install -m0644 etc/game-data-packager.conf             $(DESTDIR)/etc/
	install -m0644 etc/*-mirrors                           $(DESTDIR)/etc/game-data-packager/

	mkdir -p $(DESTDIR)/usr/share/applications
	mkdir -p $(DESTDIR)/usr/share/pixmaps
	install -m0755 runtime/doom2-masterlevels.py           $(DESTDIR)$(bindir)/doom2-masterlevels
	install -m0644 out/doom2-masterlevels.desktop          $(DESTDIR)/usr/share/applications/
	install -m0644 doc/doom2-masterlevels.6                $(DESTDIR)/usr/share/man/man6/
	install -m0644 out/doom-common.png                     $(DESTDIR)/usr/share/pixmaps/doom2-masterlevels.png

# Requires additional setup, so not part of "make check"
manual-check:
	install -d tmp/
	for game in $(TEST_SUITE); do \
	        GDP_MIRROR=$(GDP_MIRROR) GDP_UNINSTALLED=1 PYTHONPATH=. \
		python3 -m game_data_packager -d ./tmp --no-compress $$game --no-search || exit $$?; \
	done
	rm -fr tmp/

html: $(DIRS) $(json)
	LC_ALL=C GDP_UNINSTALLED=1 PYTHONPATH=. python3 -m tools.babel
	rsync out/index.html alioth.debian.org:/var/lib/gforge/chroot/home/groups/pkg-games/htdocs/game-data/ -e ssh -v

.PHONY: default clean check manual-check install html

=== debian/changelog ===
game-data-packager (44) unstable; urgency=medium

  New game support:

  [ Alexandre Detiste ]
  * Enemy Territory: Quake Wars, using the proprietary x86 binaries
  * ScummVM games:
    - Amazon: Guardians of Eden
    - Beavis and Butthead in Virtual Stupidity
    - The Bizarre Adventures of Woodruff and the Schnibble
    - Conquests of Camelot: The Search for the Grail
    - Conquests of the Longbow: The Legend of Robin Hood
    - Freddy Pharkas: Frontier Pharmacist
    - Hoyle's Official Book of Games
    - Jones in the Fast Lane
    - Leather Goddesses of Phobos 2
    - Mixed-Up Mother Goose
    - Nippon Safes Inc.
    - Once Upon A Time: Little Red Riding Hood
    - Pajama Sam series
    - Rex Nebular and the Cosmic Gender Bender
    - Ringworld 1 & 2
    - Rodney's Funscreen
    - The Lost Files of Sherlock Holmes: The Case of the Rose Tattoo
    - Simon the Sorcerer's Puzzle Pack
    - Tony Tough and the Night of Roasted Moths
    - Touché: The Adventures of the Fifth Musketeer
    - Troll's Tale
    - Urban Runner
    - Ween: The Prophecy
    - Winnie the Pooh in the Hundred Acre Wood
  * Douglas Adams's "Bureaucracy" text game
  * The Elder Scrolls III: Morrowind (Closes: #776541)
  * Ultima VII (Closes: #784733)

  [ Stephen Kitt ]
  * Infocom games:
    - A Mind Forever Voyaging
    - Ballyhoo
    - Border Zone
    - Cutthroats
    - Deadline
    - Enchanter
    - Hollywood Hijinx
    - Infidel
    - Leather Goddesses of Phobos
    - The Lurking Horror
    - Moonmist
    - Nord and Bert Couldn't Make Head or Tail of It
    - Plundered Hearts
    - Seastalker
    - Sherlock: The Riddle of the Crown Jewels
    - Sorcerer
    - Spellbreaker
    - Starcross
    - Stationfall
    - Suspect
    - Suspended
    - Trinity
    - Wishbringer
    - Witness

  [ Simon McVittie ]
  * Unreal (classic or Gold), using the proprietary x86 binaries

  Support for new languages and versions:

  [ Alexandre Detiste ]
  * Discworld 1: add de/fr/es/it floppy version
  * RTCW: add Italian version, Thanks to iortcw upstream

  [ Stephen Kitt ]
  * Cruise for a Corpse: add French CD version
  * The Dig: add English CD version

  Enhancements and bug fixes:

  [ Alexandre Detiste ]
  * fix en_GB auto-detection
  * fix autodownloading of GrimFandango Italian demo
  * fix 'gog', 'atlantis' & 'baldurs-gate-2' targets (Closes: #804804)
  * use steamcmd to download Linux & Windows game assets (Closes: #775365)
  * re-add Doom 2 - MasterLevels launcher icon that got lost in v42 or v43

  [ Simon McVittie ]
  * runtime: add a generic Gtk launcher, initially for Unreal
  * Add an experimental AppArmor profile for the non-free Unreal binaries,
    to protect the rest of the system from any exploits

  [ Stephen Kitt ]
  * Update the GOG installer for The Dig (English).
  * Add Sam & Max CD manual.

  Internal changes:

  [ Alexandre Detiste ]
  * fedora: prepare initial release
  * make install: fix inclusion of game_data_packager/unpack in .deb
  * man pages: install man pages in Makefile
  * refactor packaging for various games
  * avoid computing known md5 again in our dh_md5sums implementation
  * steam: semi-automatically tag remaining native games

  [ Simon McVittie ]
  * quake, quake2: make aliases consistently strings
  * Always build vfs.zip, and optionally use it even when uninstalled
  * to_yaml: turn sets into sorted lists, and output more fields
  * Add a test that various forms of the game data are equivalent
  * GameData: do not crash if _iter_expand_groups changes self.files
  * build: allow tar.* as an unpacker format
  * build: add support for xdelta version 1 patches
  * Add an abstraction and limited auto-detection for archive unpacking
  * Add library code to extract Unreal mods and installers
  * make-template: always capture SHA1 and SHA256: we can edit them out
    later if desired, but if the g-d-p maintainers don't own a particular
    game, more information is better than less
  * make-template: use groups
  * make-template: refactor to support auto-detection and recursion into
    (some) archives
  * make-template: preserve case for files from InnoExtract
  * make-template: preserve full name of license files
  * Add support for forcing a package's short and long description
  * Allow packages to be marked as deliberately empty
  * Generalize support for $install_to in symlinks to cover $assets, etc.
  * Allow any file to be made executable by the installation process
  * Do not try to obtain non-preferred alternatives for files
  * Accept $GDP_DEBUG as a synonym for $DEBUG
  * Switch Vcs-Git to https (see #810378)

 -- Simon McVittie <smcv@debian.org>  Fri, 22 Jan 2016 23:01:25 +0000

game-data-packager (43) unstable; urgency=medium

  New game support:

  [ Alexandre Detiste ]
  * X-COM: UFO Defense (Closes: #793017)
  * ScummVM games:
    - 3 Skulls of the Toltecs
    - Bargon Attack
    - The Black Cauldron
    - Blue Force
    - Castle of Dr. Brain & The Island of Dr. Brain
    - Chivalry is Not Dead
    - Codename: ICEMAN
    - Cruise for a Corpse
    - EcoQuest 1 & 2
    - Enclosure (fan-made game)
    - Eye of the Beholder 1 & 2
    - The Feeble Files
    - Future Wars (English version)
    - Gold Rush!
    - Hank's Quest (fan-made game)
    - Hopkins FBI
    - Hugo's House of Horrors and its two sequels
    - Lands of Lore: The Throne of Chaos
    - Laura Bow 1 & 2
    - The Lost Files of Sherlock Holmes: The Case of the Serrated Scalpel
       (support for this game is currently being added to scummvm)
    - Lost in Time
    - Manhunter 1 & 2
    - The Manhole
    - The Neverhood
    - Personal Nightmare
    - Slater & Charlie Go Camping
    - Toonstruck

  [ Markus Koschany ]
  * Wolfenstein: Enemy Territory, for the etlegacy engine (Closes: #780446)
  * Baldur's Gate - The Original Saga (GOG.com English Linux installer)
    for the gemrb engine (Closes: #776540)
  * Baldur's Gate 2 (GOG.com English Linux installer) for the gemrb engine
    (Closes: #800712)


=== debian/control ===
Source: game-data-packager
Section: contrib/games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Simon McVittie <smcv@debian.org>, Jonathan Dowland <jmtd@debian.org>,
 Alexandre Detiste <alexandre.detiste@gmail.com>
Build-Depends:
 bash-completion,
 debhelper (>= 9),
 dh-apparmor,
 dh-python,
 imagemagick,
 inkscape,
 pyflakes,
 python3,
 python3-debian,
 python3-yaml,
 zip,
Standards-Version: 3.9.6
Vcs-Git: https://anonscm.debian.org/git/pkg-games/game-data-packager.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/game-data-packager.git
Homepage: https://wiki.debian.org/Games/GameDataPackager

Package: game-data-packager
Depends: fakeroot, ${misc:Depends},
	python3,
	python3-debian,
	python3-yaml,
	${python3:Depends},
Breaks: lgogdownloader (<< 2.26-1~)
Suggests:
# to install packages
	gdebi | gdebi-kde,
# for quake music and quake2 music
	cdparanoia, vorbis-tools,
# Doom 2 Master Levels, Quake, Spear Of Destiny demo
	lhasa | jlha-utils | lzh-archiver,
# for quake2 mission packs
	binutils, make, gcc,
# for lgeneral
	lgc-pg,
# for wolf3d demo
	dynamite (>= 0.1.1-2),
# for wolf3d v1.2
	unzip,
# for 100+ gog.com games
	innoextract, lgogdownloader,
# for Quake 1/2/3, Doom, Wolf3d...
	steam, steamcmd,
# for Doom3
	p7zip-full,
# for Jedi Academy (demo), Arx Fatalis
	unshield,
# for Descent 1
	arj,
# for Arx Fatalis
	cabextract,
# for Arx Fatalis
	unace-nonfree,
# for Arx Fatalis
	unrar,
# for I have no mouth and I must scream
        unar,
# for Unreal Tournament and potentially other Loki Games releases
	xdelta,
# for Doom2 Master Levels launcher
	python3-gi,
	gir1.2-gtk-3.0,
	gir1.2-pango-1.0,
# for Unreal
	gir1.2-gdkpixbuf-2.0,
Architecture: all
Multi-Arch: foreign
Description: Installer for game data files
 Various games are divided into two logical parts: engine
 and data. Often the engine and data are licensed in
 different ways, such that only one half can be distributed
 in Debian.
 .
 game-data-packager is a tool which builds .deb files for game
 data which cannot be distributed in Debian (such as
 commercial game data).
 .
 At the moment, game-data-packager has support for building .deb
 files for:
 .
  * 3 Skulls of the Toltecs
  * A Mind Forever Voyaging
  * Amazon: Guardians of Eden
  * Arx Fatalis
  * Baldur's Gate 1 and 2
  * Ballyhoo
  * Bargon Attack
  * Beavis and Butthead in Virtual Stupidity
  * The Bizarre Adventures of Woodruff and the Schnibble
  * The Black Cauldron
  * Blake Stone and Planet Strike
  * Blue Force
  * Border Zone
  * Castle of Dr. Brain and The Island of Dr. Brain
  * Broken Sword
  * Bureaucracy
  * Chex Quest and Chex Quest 2
  * Chivalry is Not Dead
  * Codename: ICEMAN
  * Conquests of Camelot: The Search for the Grail
  * Conquests of the Longbow: The Legend of Robin Hood
  * Cruise for a Corpse
  * The Curse of Monkey Island
  * Cutthroats
  * Deadline
  * Descent 1 and 2
  * The Dig
  * Discworld 1 and 2
  * Doom, The Ultimate Doom, Doom 2, The Master Levels for Doom 2, Final Doom
  * Doom 3 and BFG Edition
  * Dračí Historie
  * Dreamweb
  * Duke Nukem 3D
  * Dune 2: Battle for Arrakis
  * EcoQuest 1 and 2
  * The Elder Scrolls 3: Morrowind
  * Elvira 1 and 2
  * Enchanter
  * Enclosure
  * Eye of the Beholder 1 and 2
  * The Feeble Files
  * Freddy Pharkas: Frontier Pharmacist
  * Freespace 2
  * Full Throttle
  * Future War (Les Voyageurs du Temps)
  * Gobliiins 1, 2 and 3
  * Gold Rush!
  * Grim Fandango
  * HacX
  * Hank's Quest
  * Heretic, Hexen and Hexen 2
  * Heroes of Might & Magic 3
  * The Hitchhiker's Guide to the Galaxy
  * Hollywood Hijinx
  * Hopkins FBI
  * Hoyle's Official Book of Games
  * Hugo's House of Horrors, Hugo 2, Hugo 3
  * Icewind Dale 1 and 2
  * Indiana Jones and the Fate of Atlantis
  * Infidel
  * Inherit the Earth
  * Jones in the Fast Lane
  * King's Quest 1 to 6
  * Lands of Lore: The Throne of Chaos
  * Laura Bow 1 and 2
  * Leather Goddesses of Phobos 1 and 2
  * Legend of Kyrandiar 1, 2 and 3
  * Leisure Suit Larry 1, 2, 3, 5 and 6
  * LGeneral (Panzer General)
  * Lost in Time
  * The Lurking Horror
  * The Manhole
  * Manhunter 1 and 2
  * Maniac Mansion and Day of the Tentacle
  * Mixed-Up Mother Goose
  * Moonmist
  * The Neverhood
  * Nippon Safes Inc.
  * Nord and Bert Couldn't Make Head or Tail of It
  * Once Upon A Time: Little Red Riding Hood
  * Pajama Sam series
  * Personal Nightmare
  * Planescape: Torment
  * Planetfall
  * Plundered Hearts
  * Police Quest 1, 2 and 3
  * Quake, Quake 2, Quake 3 Arena, Quake 4, Enemy Territory: Quake Wars
  * Quest For Glory 1, 2 and 3
  * Rex Nebular and the Cosmic Gender Bender
  * Ringworld 1 and 2
  * Rise of the Triad
  * Rodney's Funscreen
  * Sam & Max Hit the Road
  * Seastalker
  * Sfinx
  * The Lost Files of Sherlock Holmes: The Case of the Serrated Scalpel
  * The Lost Files of Sherlock Holmes: The Case of the Rose Tattoo
  * Sherlock: The Riddle of the Crown Jewels
  * Simon the Sorcerer 1, 2 and Puzzle Pack
  * Slater & Charlie Go Camping
  * Soltys
  * Sorcerer
  * Spellbreaker
  * Star Wars Jedi Knight 2: Jedi Outcast and Jedi Academy
  * Starcross
  * Stationfall
  * Strife
  * Suspect
  * Suspended
  * Syndicate
  * Space Quest 1 to 5
  * Super 3D Noah's Ark
  * Theme Hospital
  * Tony Tough and the Night of Roasted Moths
  * Toonstruck
  * Touché: The Adventures of the Fifth Musketeer
  * Transport Tycoon Deluxe
  * Trinity
  * Troll's Tale
  * Tyrian
  * Ultima VII
  * Unreal and Unreal Gold
  * Urban Runner
  * Ween: The Prophecy
  * Winnie the Pooh in the Hundred Acre Wood
  * Wishbringer
  * Witness
  * Wolfenstein 3D, Spear of Destiny and Return to Castle Wolfenstein
  * Wolfenstein: Enemy Territory
  * X-COM: UFO Defense
  * Zork 1, 2 and 3, Beyond Zork and Return to Zork
  * Zork Grand Inquisitor and Zork Nemesis

=== debian/rules ===
#!/usr/bin/make -f
# GNU copyright 1997 to 1999 by Joey Hess.

#export DH_VERBOSE=1
export DH_OPTIONS

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --parallel --with python3,bash-completion

override_dh_auto_build:
	BUILD_DATE="$$(dpkg-parsechangelog --show-field=Date)" \
	dh_auto_build --parallel

override_dh_auto_clean:
	dh_auto_clean --parallel
	@if [ "`echo *.deb`" != "*.deb" ]; then \
		echo; \
		echo "*************************************************"; \
		echo "Cannot create source package with these here:"; \
		ls *.deb; \
		echo "*************************************************"; \
		echo; \
		exit 1; \
	fi
	debian/copyright.py

override_dh_install:
	dh_install
	if dpkg-vendor --derives-from Ubuntu; then \
		touch debian/game-data-packager/usr/share/games/game-data-packager/is-ubuntu-derived; \
	fi
	dh_apparmor -pgame-data-packager --profile-name=usr.lib.unreal

override_dh_installdocs:
	dh_installdocs -XTODO

## game-data-packager 45

=== Makefile ===
--- 
+++ 
@@ -39,13 +39,13 @@
 	@mkdir -p out
 	if [ -L $< ]; then cp -a $< $@ ; else install -m644 $< $@ ; fi
 
-out/vfs/%.json: data/%.yaml
+out/vfs/%.json: data/%.yaml tools/compile_yaml.py
 	@mkdir -p out/vfs
 	$(PYTHON) tools/compile_yaml.py $< $@
 
 out/vfs.zip: $(json)
-	@mkdir -p out
 	rm -f out/vfs.zip
+	chmod 0644 out/vfs/*
 	if [ -n "$(BUILD_DATE)" ]; then \
 		touch --date='$(BUILD_DATE)' out/vfs/*; \
 	fi
@@ -110,6 +110,7 @@
 	rm -f ./out/*.png
 	rm -f ./out/*.svgz
 	rm -f ./out/*.svg
+	rm -f ./out/*.txt
 	rm -f ./out/vfs.zip
 	rm -f ./out/index.html
 	rm -fr out/vfs
@@ -120,7 +121,9 @@
 
 check:
 	LC_ALL=C $(PYFLAKES3) game_data_packager/*.py game_data_packager/*/*.py runtime/*.py tools/*.py || :
+	LC_ALL=C GDP_UNINSTALLED=1 PYTHONPATH=. $(PYTHON) tests/deb.py
 	LC_ALL=C GDP_UNINSTALLED=1 PYTHONPATH=. $(PYTHON) tests/hashed_file.py
+	LC_ALL=C GDP_UNINSTALLED=1 PYTHONPATH=. $(PYTHON) tests/rpm.py
 	LC_ALL=C GDP_UNINSTALLED=1 PYTHONPATH=. $(PYTHON) tests/umod.py
 	LC_ALL=C GDP_UNINSTALLED=1 PYTHONPATH=. $(PYTHON) tools/check_syntax.py
 	LC_ALL=C GDP_UNINSTALLED=1 PYTHONPATH=. $(PYTHON) tools/check_equivalence.py
@@ -175,7 +178,7 @@
 	install -d tmp/
 	for game in $(TEST_SUITE); do \
 	        GDP_MIRROR=$(GDP_MIRROR) GDP_UNINSTALLED=1 PYTHONPATH=. \
-		python3 -m game_data_packager -d ./tmp --no-compress $$game --no-search || exit $$?; \
+		python3 -m game_data_packager.command_line -d ./tmp --no-compress $$game --no-search || exit $$?; \
 	done
 	rm -fr tmp/

=== debian/changelog ===
game-data-packager (45) unstable; urgency=medium

  * New game support:
    - Arthur: the Quest for Excalibur [skitt]
    - James Clavell's Shōgun [skitt]
    - Journey: Part One of the Golden Age Trilogy [skitt]
    - The Labyrinth of Time [adetiste]
    - Mixed-Up Fairy Tales [adetiste]
    - Mortville Manor [adetiste]
    - The Secret of Monkey Island 1 & 2 [adetiste]
    - Zork: The Undiscovered Underground [skitt]
    - Zork Zero [adetiste]
  * Support for new languages and versions:
    - Indiana Jones and the Last Crusade (English CD) [skitt]
    - Doom 1: Tech Gone Bad, brand new map by Romero [adetiste]
      (Closes: #812513)
    - Doom 1: Phobos Mission Control, another new map [fabian]
    - Quake Episode 5: Dimensions of the Past (20th anniversary
      expansion by MachineGames) [smcv]
    - Theme Hospital (GOG) 2.1.0.8 [Phil Morrell]
  * Enhancements and bug fixes:
    - Correct UnrealGoldPatch227i.7z's format [skitt]
    - The Unreal patches provide lin_convenience_libs [skitt]
    - Do not crash if there's no internet access and game
      is possibly owned by user's Steam account [adetiste]
    - Abort early when running from a deleted directory and --destination
      hasn't been specified [adetiste] (Closes: #783319)
    - Skip downloading files if their size on the server does not match
      what was expected [adetiste]
    - Use ScummVM's own hosting instead of SourceForge [adetiste]
    - Adapt code dealing with ScummVM configuration to account for it now
      following the XDG Base Directory spec [adetiste]
    - Make progress bars time-based, with a progress bar appearing if
      an operation has taken too long [adetiste, smcv]
    - Add Shooter category for Doom 2 Master Levels [Matthias Mailänder]
  * Internal changes:
    - Refactor dependency relationships and other distro- and
      format-dependent values. They now take a map or list of
      maps like {'deb': 'foo-dfsg (>= 1)', 'generic': 'foo'}.
      Versioned dependencies are translated from dpkg syntax
      to RPM or Arch syntax as needed; and library dependencies
      can be spelled like "libfoo0.so.1" which will be translated
      to libfoo0-1 for dpkg distributions. [smcv]
    - Smarter handling of InnoExtract archives that takes alternative
      look_for names into account; which reduces the need
      to explicitly list files to unpack. [adetiste]
    - Build-Depends: on "pyflakes3 | pyflakes" to avoid to needlessly
      pull in Python2 during the build on Stretch and later. [adetiste]
    - Remove support for install_contents_of keyword, better handled by
      groups now [adetiste]
    - Remove support for install_files in package stanzas, superseded
      by groups [smcv]
    - Break out command-line interface into its own module to reduce
      circular imports [smcv]
    - Break out file-loading into new g_d_p.data module [smcv]
    - Distinguish between files and groups [smcv]
    - Standards-Version: 3.9.8, no changes required

 -- Simon McVittie <smcv@debian.org>  Wed, 29 Jun 2016 10:52:16 +0100

=== debian/control ===
--- 
+++ 
@@ -11,12 +11,12 @@
  dh-python,
  imagemagick,
  inkscape,
- pyflakes,
+ pyflakes3 | pyflakes (<< 1.1.0),
  python3,
  python3-debian,
  python3-yaml,
  zip,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/git/pkg-games/game-data-packager.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/game-data-packager.git
 Homepage: https://wiki.debian.org/Games/GameDataPackager
@@ -87,6 +87,7 @@
   * 3 Skulls of the Toltecs
   * A Mind Forever Voyaging
   * Amazon: Guardians of Eden
+  * Arthur: the Quest for Excalibur
   * Arx Fatalis
   * Baldur's Gate 1 and 2
   * Ballyhoo
@@ -106,7 +107,6 @@
   * Conquests of Camelot: The Search for the Grail
   * Conquests of the Longbow: The Legend of Robin Hood
   * Cruise for a Corpse
-  * The Curse of Monkey Island
   * Cutthroats
   * Deadline
   * Descent 1 and 2
@@ -145,8 +145,11 @@
   * Indiana Jones and the Fate of Atlantis
   * Infidel
   * Inherit the Earth
+  * James Clavell's Shōgun
   * Jones in the Fast Lane
+  * Journey: Part One of the Golden Age Trilogy
   * King's Quest 1 to 6
+  * The Labyrinth of Time
   * Lands of Lore: The Throne of Chaos
   * Laura Bow 1 and 2
   * Leather Goddesses of Phobos 1 and 2
@@ -158,8 +161,10 @@
   * The Manhole
   * Manhunter 1 and 2
   * Maniac Mansion and Day of the Tentacle
-  * Mixed-Up Mother Goose
+  * Mixed-Up Mother Goose & Mixed-Up Fairy Tales
+  * Monkey Island 1, 2 and 3
   * Moonmist
+  * Mortville Manor
   * The Neverhood
   * Nippon Safes Inc.
   * Nord and Bert Couldn't Make Head or Tail of It
@@ -214,5 +219,6 @@
   * Wolfenstein 3D, Spear of Destiny and Return to Castle Wolfenstein
   * Wolfenstein: Enemy Territory
   * X-COM: UFO Defense
-  * Zork 1, 2 and 3, Beyond Zork and Return to Zork
+  * Zork 1, 2 and 3, Beyond Zork, Zork Zero, Return to Zork, Zork: The
+    Undiscovered Underground
   * Zork Grand Inquisitor and Zork Nemesis

## game-data-packager 49

=== debian/changelog ===
game-data-packager (49) unstable; urgency=medium

  * d/gbp.conf: Switch git branch to debian/stretch for updates
    during freeze
  * quake3: Symlink ioquake3 native game and UI code into ~/.q3a,
    and run with vm_cgame, vm_game, vm_ui set to 0 by default.
    This resolves bugs in the proprietary Quake III Arena releases by
    swapping in ioquake3's updated (and Free Software) versions, and
    mitigates security issues in ioquake3 by letting
    ioquake3_1.36+u20161101+dfsg1-2 put a confirmation prompt in
    front of the option to enable auto-downloading.
    This regressed in v46.

 -- Simon McVittie <smcv@debian.org>  Tue, 14 Mar 2017 11:12:53 +0000

game-data-packager (48) unstable; urgency=medium

  * Enhancements and bug fixes:
    - Add a button to "Doom II Masterlevels" launcher to start
      chocolate-doom-setup from there. [adetiste]
    - Fix launcher scripts generated without fully expanding $bindir,
      resulting in files in '/$prefix'. This affected Z-code text
      adventures (H2G2, Zork, etc.) and multilingual ScummVM games.
      [adetiste]
  * Internal changes:
    - Refactor doom2-masterlevels launcher [adetiste]
    - Add all and distclean Makefile targets [smcv]
    - In Debian packaging, set a temporary home directory for Inkscape
      to silence warnings and comply with proposed policy (#845715)

 -- Simon McVittie <smcv@debian.org>  Tue, 06 Dec 2016 10:57:24 +0000

game-data-packager (47) unstable; urgency=medium

  * New game support:
    - Myst: Masterpiece Edition [adetiste]
  * Support for new languages and versions:
    - Super Noah's Ark 3D v1.3.3, from Steam or itch.io [adetiste]
  * Enhancements and bug fixes:
    - make-template: don't crash when unable to guess what $install_to
      should have been. Regression in v46. (Closes: #841164) [smcv]
    - This version of g-d-p was built against an apparmor package
      where #828795 was fixed, so we no longer emit a misleading warning
      from the postinst (Closes: #829035) [smcv]
    - Fix a crash when packaging ecwolf games [adetiste]
    - ja: Fix spurious warnings about assets0.pk3 [smcv]
  * Internal changes:
    - Stop using lsb-release [smcv]
    - Refactor Package object creation [smcv]
    - Do not modify Package objects after they have been loaded [smcv]
    - Restructure doom2-masterlevels data [adetiste]
    - Simplify creation of DEBIAN/control [smcv]
    - Sort license files if there are multiple [smcv]
    - Conform to https://github.com/cgwalters/build-api (vaguely imitating
      Autoconf, but differently-implemented) [smcv]

 -- Simon McVittie <smcv@debian.org>  Sat, 05 Nov 2016 14:28:27 +0000

game-data-packager (46) experimental; urgency=medium

  * Support for new languages and versions:
    - Update quake2-reckoning-data to 2.03 and quake2-xatrix-data to 2.04,
      matching yamagi-quake2 5.34 and adding support for more
      architectures [smcv]
  * Enhancements and bug fixes:
    - also search for games assets in 'Program Files (x86)' directories
      [adetiste]
    - add experimental support for building packages for another system, for
      example Fedora RPMs on Debian [smcv]
    - append distribution to RPM release number, for example
      many data packages are now version 46-0.fedora if built for Fedora
      [smcv]
    - use the Python/GTK gdp-launcher that was previously used for
      Unreal to wrap the Quake series too, allowing all their
      shell scripts to be removed [smcv]
      * they now report missing expansions correctly (Closes: #829060)
      * the help is no longer done with cat <<EOF (Closes: #807533)
    - split out game-data-packager-runtime into a separate binary
      package so g-d-p (and its archive-unpacking dependencies)
      doesn't have to remain installed alongside the games that use its
      launcher [smcv]
    - quake4 AppArmor: update quake4smp profile to match quake4 [smcv]
    - quake* AppArmor: allow gdp-openurl script as an alternative to xdg-open
      [smcv]
    - quake3: correct logic for letting the demo run without the full game
      [smcv]
    - quake*-server: add missing dependency on lsb-base 3.0-6 [smcv]
    - convert soltys.xpm to PNG for compatibility with ImageMagick 6.8,
      fixing FTBFS with that version (Closes: #842619) [smcv]
  * Internal changes:
    - switch to debhelper 10, no change needed [adetiste]
    - take over the quake family of binary packages from src:quake [smcv]
    - mark the out/ directory with CACHEDIR.TAG to make it easy to avoid
      backups [smcv]
    - games can use more variables, which are expanded recursively
      ($docdir -> $datadir/doc -> $prefix/share/doc -> /usr/share/doc)
      [smcv]
    - expand $assets etc. to absolute paths, to make the .desktop files
      less weird [smcv]
    - factor out most packaging-specifics into modules [smcv]
    - convert 'make manual-check' into an ordinary test, which is
      skipped if the necessary files are not in ~/Downloads [smcv]

 -- Simon McVittie <smcv@debian.org>  Fri, 14 Oct 2016 22:57:38 +0100

quake (18) unstable; urgency=medium

  * quake4 AppArmor: allow additional video device enumeration
  * quake4 AppArmor: allow reading /etc/machine-id, used by PulseAudio
  * quake4 AppArmor: allow mmapping ~/.quake4/*/gamex86.so
  * quake: add a shortcut for Quake Episode 5: Dimensions of the Past
  * All systemd services: add Documentation key pointing to man pages
  * Add lintian overrides for repeated words in d/copyright

 -- Simon McVittie <smcv@debian.org>  Wed, 29 Jun 2016 10:20:17 +0100

quake (17) unstable; urgency=medium

  [ Alexandre Detiste ]
  * Add support for "Enemy Territory: Quake Wars" using the
    proprietary binaries (there is no open-source engine)
    and following the same patterns as used for Quake 4.

  [ Simon McVittie ]
  * Add a confirmation step before running binary-only executables
  * etqw.desktop: add some more keywords
  * etqw*.6: document QUAKE4_BACKTRACE, QUAKE4_DEBUGGER
